# ionic-cmbsdk-demo-app

## Simple steps to start

1. Download this code (clone or zip download)
2. Unzip (if downloaded)
3. Install required software by
```bash
npm install
```
4. Add our cordova plugin (latest stable release comes bundled with this project)
```bash
unzip 3rdpary/cmbSDK_Cordova_v2.0.2.1207.zip
#or if you have the latest version distributed to you by our channels use that one
ionic cordova plugin add 3rdparty/cmbSDK_Cordova_v2.0.2.1207
```
5. Add the platform
```bash
ionic cordova platform add android
```
6. You will need gradle to build for android
```bash
brew update && brew install gradle
#or use the info at https://gradle.org/install/
```
  6.1. For android make the gradlew writable so we can build / run from CLI
```bash
sudo chmod 755 /Users/<your ionic project path>/platforms/android/gradlew
```
7. Build or run (lets run it with live reload and console output
```bash
ionic cordova run android -l -c
```
  7.1. If building for ios:
```bash
ionic cordova platform add ios
``` 
Once this is done, add a signing profile. 
Open the project in XCode and set your signing profile.
```bash
ionic build ios
```
*note: Building for iOS sometimes fails with the message*
```bash
Unhandled promise rejection (rejection id: 1): Error code 65 for command: xcodebuild with args: -xcconfig
```
to solve this be sure to have these dependencies installed:
```bash
npm install -g ios-sim
npm install -g ios-deploy
```
This seems to fix the problem even though we noticed it can still fail with the same error.
8. Now run
```bash
ionic cordova run ios -l -c
```
 8.1 At this point you should have the app loaded on your device

## Note

More info about the solution can be found at [https://cmbdn.cognex.com/knowledge/cordova-plugin-for-cmbsdk](https://cmbdn.cognex.com/knowledge/cordova-plugin-for-cmbsdk)