import { NgModule, ErrorHandler } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { MyApp } from './app.component';

import { Dialogs } from '@ionic-native/dialogs';

import { AboutPage } from '../pages/about/about';
import { SettingsPage } from '../pages/settings/settings';
import { HomePage } from '../pages/home/home';
import { TabsPage } from '../pages/tabs/tabs';
import { ViewCodePage } from '../pages/view-code/view-code';

import { IonicStorageModule } from '@ionic/storage';

import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';
import { CmbscannerProvider } from '../providers/cmbscanner/cmbscanner';

@NgModule({
  declarations: [
    MyApp,
    AboutPage,
    SettingsPage,
    HomePage,
    ViewCodePage,
    TabsPage
  ],
  imports: [
    BrowserModule,
    IonicModule.forRoot(MyApp),
    IonicStorageModule.forRoot(),
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    HomePage,
    AboutPage,
    SettingsPage,
    ViewCodePage,
    TabsPage
  ],
  providers: [
    StatusBar,
    Dialogs,
    SplashScreen,
    {provide: ErrorHandler, useClass: IonicErrorHandler},
    CmbscannerProvider // IMPORTANT: only include the provider here so it is created as a singleton and shared across child classes
  ]
})
export class AppModule {}
