import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';

import {DomSanitizer} from '@angular/platform-browser';

/*
  Generated class for the ViewCode page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  selector: 'page-view-code',
  templateUrl: 'view-code.html'
})
export class ViewCodePage {

	public item:{[key:string]:any};
	public image:string;
	public readString : string;
	public xml : string;

	public symbologyString:string;
	public arrayOfKeys;

  constructor(public navCtrl: NavController, public navParams: NavParams,public _DomSanitizer: DomSanitizer) {}

	ionViewDidEnter() {

	    this.item = this.navParams.data.item;
	    this.arrayOfKeys = Object.keys(this.item);

	    this.image = this.item.image;
	    this.symbologyString = this.item.symbologyString;

	    this.readString = this.item.readString;
	    // this.xml = this.escapeHtml(this.item.xml);
	    this.xml = this.item.xml;


	    console.log(JSON.stringify(this.arrayOfKeys));




	}
	escapeHtml(text) {
		return text
		  .replace(/&/g, "&amp;")
		  .replace(/</g, "&lt;")
		  .replace(/>/g, "&gt;")
		  .replace(/"/g, "&quot;")
		  .replace(/'/g, "&#039;");
	}  

	showThumb(baseImage){
		return this._DomSanitizer.bypassSecurityTrustUrl('data:image/png;base64,'+baseImage);
	}  

}
